Package org.apache.batchee.extras.jpa

## Class JpaItemReader

- java.lang.Object
- - org.apache.batchee.extras.jpa.EntityManagerLocator
  - - org.apache.batchee.extras.jpa.JpaItemReader

- All Implemented Interfaces:
    `javax.batch.api.chunk.ItemReader`

      public class JpaItemReader
      extends EntityManagerLocator
      implements javax.batch.api.chunk.ItemReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.extras.jpa.EntityManagerLocator

      `entityManagerProvider, locator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JpaItemReader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Serializable` | `checkpointInfo()` |
    `void` | `close()` |
    `void` | `open​(Serializable checkpoint)` |
    `Object` | `readItem()` |

    - ### Methods inherited from class org.apache.batchee.extras.jpa.EntityManagerLocator

      `findEntityManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JpaItemReader

          public JpaItemReader()

  - ### Method Detail

    - #### open

          public void open​(Serializable checkpoint)
                    throws Exception

      Specified by:
        `open` in interface `javax.batch.api.chunk.ItemReader`
      Throws:
        `Exception`

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `javax.batch.api.chunk.ItemReader`
      Throws:
        `Exception`

    - #### readItem

          public Object readItem()
                          throws Exception

      Specified by:
        `readItem` in interface `javax.batch.api.chunk.ItemReader`
      Throws:
        `Exception`

    - #### checkpointInfo

          public Serializable checkpointInfo()
                                      throws Exception

      Specified by:
        `checkpointInfo` in interface `javax.batch.api.chunk.ItemReader`
      Throws:
        `Exception`